For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
    • API spec
  • Endpoints
      • POSTCreate child organization
      • POSTCreate organization custom role.
      • GETGet Current Organization
      • GETGet Team List
      • GETGet the roles of the current organization.
      • GETRetrieve Departments
      • GETRetrieve working locations
      • PATCHUpdate organization custom role
    • PATCHProfiles
LogoLogo
SupportDeel Home
EndpointsOrganizations

Retrieve Departments

GET
/departments
GET
/rest/v2/departments
$curl https://api.letsdeel.com/rest/v2/departments \
> -H "Authorization: Bearer <token>"
1{
2 "data": [
3 {
4 "id": "c1f4d8ce-66b9-4b98-9054-815237118cbc",
5 "name": "Engineering",
6 "parent": null
7 },
8 {
9 "id": "25cd10dd-5a9b-42c4-a176-4ba6bb5c28c8",
10 "name": "Human Resources",
11 "parent": null
12 },
13 {
14 "id": "facc9050-f4c9-4250-bc95-b7584e411a00",
15 "name": "Software Development",
16 "parent": "1"
17 }
18 ]
19}

Returns the list of departments within the authenticated user’s organization, including each department’s identifier, name, and parent department where applicable. Token scopes: organizations:read

Was this page helpful?
Previous

Retrieve working locations

Next
Built with

Authentication

AuthorizationBearer

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication

OR
AuthorizationBearer

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Response

Successful retrieval of the list of departments.
datalist of objects

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error